diff --git a/drivers/staging/vt6655/rxtx.c b/drivers/staging/vt6655/rxtx.c
index 699ca2685052..1949a647a443 100644
--- a/drivers/staging/vt6655/rxtx.c
+++ b/drivers/staging/vt6655/rxtx.c
@@ -89,7 +89,7 @@ static void s_v_fill_rts_head(struct vnt_private *p_device,
 			      unsigned char by_pkt_type,
 			      void *pv_rts,
 			      unsigned int	cb_frame_length,
-			      bool bNeedAck,
+			      bool b_need_ack,
 			      bool bDisCRC,
 			      struct ieee80211_hdr *hdr,
 			      unsigned short wCurrentRate,
@@ -118,7 +118,7 @@ static __le16 s_uFillDataHead(struct vnt_private *p_device,
 			      void *pTxDataHead,
 			      unsigned int cb_frame_length,
 			      unsigned int uDMAIdx,
-			      bool bNeedAck,
+			      bool b_need_ack,
 			      unsigned int uFragIdx,
 			      unsigned int cbLastFragmentSize,
 			      unsigned int uMACfragNum,
@@ -143,13 +143,13 @@ static unsigned int s_uGetTxRsvTime(struct vnt_private *p_device,
 				    unsigned char by_pkt_type,
 				    unsigned int cb_frame_length,
 				    unsigned short wRate,
-				    bool bNeedAck)
+				    bool b_need_ack)
 {
 	unsigned int uDataTime, uAckTime;
 
 	uDataTime = bb_get_frame_time(p_device->preamble_type, by_pkt_type, cb_frame_length, wRate);
 
-	if (!bNeedAck)
+	if (!b_need_ack)
 		return uDataTime;
 
 	/*
@@ -224,7 +224,7 @@ static unsigned int s_uGetDataDuration(struct vnt_private *p_device,
 				       unsigned int cb_frame_length,
 				       unsigned char by_pkt_type,
 				       unsigned short wRate,
-				       bool bNeedAck,
+				       bool b_need_ack,
 				       unsigned int uFragIdx,
 				       unsigned int cbLastFragmentSize,
 				       unsigned int uMACfragNum,
@@ -243,51 +243,51 @@ static unsigned int s_uGetDataDuration(struct vnt_private *p_device,
 
 	switch (byDurType) {
 	case DATADUR_B:    /* DATADUR_B */
-		if (bNeedAck) {
+		if (b_need_ack) {
 			uAckTime = bb_get_frame_time(p_device->preamble_type,
 						     by_pkt_type, 14,
 						     p_device->byTopCCKBasicRate);
 		}
 		/* Non Frag or Last Frag */
 		if ((uMACfragNum == 1) || bLastFrag) {
-			if (!bNeedAck)
+			if (!b_need_ack)
 				return 0;
 		} else {
 			/* First Frag or Mid Frag */
 			uNextPktTime = s_uGetTxRsvTime(p_device, by_pkt_type,
-						       len, wRate, bNeedAck);
+						       len, wRate, b_need_ack);
 		}
 
 		return p_device->uSIFS + uAckTime + uNextPktTime;
 
 	case DATADUR_A:    /* DATADUR_A */
-		if (bNeedAck) {
+		if (b_need_ack) {
 			uAckTime = bb_get_frame_time(p_device->preamble_type,
 						     by_pkt_type, 14,
 						     p_device->byTopOFDMBasicRate);
 		}
 		/* Non Frag or Last Frag */
 		if ((uMACfragNum == 1) || bLastFrag) {
-			if (!bNeedAck)
+			if (!b_need_ack)
 				return 0;
 		} else {
 			/* First Frag or Mid Frag */
 			uNextPktTime = s_uGetTxRsvTime(p_device, by_pkt_type,
-						       len, wRate, bNeedAck);
+						       len, wRate, b_need_ack);
 		}
 
 		return p_device->uSIFS + uAckTime + uNextPktTime;
 
 	case DATADUR_A_F0:    /* DATADUR_A_F0 */
 	case DATADUR_A_F1:    /* DATADUR_A_F1 */
-		if (bNeedAck) {
+		if (b_need_ack) {
 			uAckTime = bb_get_frame_time(p_device->preamble_type,
 						     by_pkt_type, 14,
 						     p_device->byTopOFDMBasicRate);
 		}
 		/* Non Frag or Last Frag */
 		if ((uMACfragNum == 1) || bLastFrag) {
-			if (!bNeedAck)
+			if (!b_need_ack)
 				return 0;
 		} else {
 			/* First Frag or Mid Frag */
@@ -304,7 +304,7 @@ static unsigned int s_uGetDataDuration(struct vnt_private *p_device,
 				wRate = w_fb_opt_1[FB_RATE0][wRate];
 
 			uNextPktTime = s_uGetTxRsvTime(p_device, by_pkt_type,
-						       len, wRate, bNeedAck);
+						       len, wRate, b_need_ack);
 		}
 
 		return p_device->uSIFS + uAckTime + uNextPktTime;
@@ -322,7 +322,7 @@ static __le16 s_uGetRTSCTSDuration(struct vnt_private *p_device,
 				   unsigned int cb_frame_length,
 				   unsigned char by_pkt_type,
 				   unsigned short wRate,
-				   bool bNeedAck,
+				   bool b_need_ack,
 				   unsigned char byFBOption)
 {
 	unsigned int uCTSTime = 0, uDurTime = 0;
@@ -332,26 +332,26 @@ static __le16 s_uGetRTSCTSDuration(struct vnt_private *p_device,
 		uCTSTime = bb_get_frame_time(p_device->preamble_type, by_pkt_type, 14,
 					     p_device->byTopCCKBasicRate);
 		uDurTime = uCTSTime + 2 * p_device->uSIFS +
-			s_uGetTxRsvTime(p_device, by_pkt_type, cb_frame_length, wRate, bNeedAck);
+			s_uGetTxRsvTime(p_device, by_pkt_type, cb_frame_length, wRate, b_need_ack);
 		break;
 
 	case RTSDUR_BA:    /* RTSDuration_ba */
 		uCTSTime = bb_get_frame_time(p_device->preamble_type, by_pkt_type, 14,
 					     p_device->byTopCCKBasicRate);
 		uDurTime = uCTSTime + 2 * p_device->uSIFS +
-			s_uGetTxRsvTime(p_device, by_pkt_type, cb_frame_length, wRate, bNeedAck);
+			s_uGetTxRsvTime(p_device, by_pkt_type, cb_frame_length, wRate, b_need_ack);
 		break;
 
 	case RTSDUR_AA:    /* RTSDuration_aa */
 		uCTSTime = bb_get_frame_time(p_device->preamble_type, by_pkt_type, 14,
 					     p_device->byTopOFDMBasicRate);
 		uDurTime = uCTSTime + 2 * p_device->uSIFS +
-			s_uGetTxRsvTime(p_device, by_pkt_type, cb_frame_length, wRate, bNeedAck);
+			s_uGetTxRsvTime(p_device, by_pkt_type, cb_frame_length, wRate, b_need_ack);
 		break;
 
 	case CTSDUR_BA:    /* CTSDuration_ba */
 		uDurTime = p_device->uSIFS + s_uGetTxRsvTime(p_device, by_pkt_type,
-							    cb_frame_length, wRate, bNeedAck);
+							    cb_frame_length, wRate, b_need_ack);
 		break;
 
 	case RTSDUR_BA_F0: /* RTSDuration_ba_f0 */
@@ -360,11 +360,11 @@ static __le16 s_uGetRTSCTSDuration(struct vnt_private *p_device,
 		if ((byFBOption == AUTO_FB_0) && (wRate >= RATE_18M) && (wRate <= RATE_54M))
 			uDurTime = uCTSTime + 2 * p_device->uSIFS +
 				s_uGetTxRsvTime(p_device, by_pkt_type, cb_frame_length,
-						w_fb_opt_0[FB_RATE0][wRate - RATE_18M], bNeedAck);
+						w_fb_opt_0[FB_RATE0][wRate - RATE_18M], b_need_ack);
 		else if ((byFBOption == AUTO_FB_1) && (wRate >= RATE_18M) && (wRate <= RATE_54M))
 			uDurTime = uCTSTime + 2 * p_device->uSIFS +
 				s_uGetTxRsvTime(p_device, by_pkt_type, cb_frame_length,
-						w_fb_opt_1[FB_RATE0][wRate - RATE_18M], bNeedAck);
+						w_fb_opt_1[FB_RATE0][wRate - RATE_18M], b_need_ack);
 
 		break;
 
@@ -374,11 +374,11 @@ static __le16 s_uGetRTSCTSDuration(struct vnt_private *p_device,
 		if ((byFBOption == AUTO_FB_0) && (wRate >= RATE_18M) && (wRate <= RATE_54M))
 			uDurTime = uCTSTime + 2 * p_device->uSIFS +
 				s_uGetTxRsvTime(p_device, by_pkt_type, cb_frame_length,
-						w_fb_opt_0[FB_RATE0][wRate - RATE_18M], bNeedAck);
+						w_fb_opt_0[FB_RATE0][wRate - RATE_18M], b_need_ack);
 		else if ((byFBOption == AUTO_FB_1) && (wRate >= RATE_18M) && (wRate <= RATE_54M))
 			uDurTime = uCTSTime + 2 * p_device->uSIFS +
 				s_uGetTxRsvTime(p_device, by_pkt_type, cb_frame_length,
-						w_fb_opt_1[FB_RATE0][wRate - RATE_18M], bNeedAck);
+						w_fb_opt_1[FB_RATE0][wRate - RATE_18M], b_need_ack);
 
 		break;
 
@@ -388,11 +388,11 @@ static __le16 s_uGetRTSCTSDuration(struct vnt_private *p_device,
 		if ((byFBOption == AUTO_FB_0) && (wRate >= RATE_18M) && (wRate <= RATE_54M))
 			uDurTime = uCTSTime + 2 * p_device->uSIFS +
 				s_uGetTxRsvTime(p_device, by_pkt_type, cb_frame_length,
-						w_fb_opt_0[FB_RATE1][wRate - RATE_18M], bNeedAck);
+						w_fb_opt_0[FB_RATE1][wRate - RATE_18M], b_need_ack);
 		else if ((byFBOption == AUTO_FB_1) && (wRate >= RATE_18M) && (wRate <= RATE_54M))
 			uDurTime = uCTSTime + 2 * p_device->uSIFS +
 				s_uGetTxRsvTime(p_device, by_pkt_type, cb_frame_length,
-						w_fb_opt_1[FB_RATE1][wRate - RATE_18M], bNeedAck);
+						w_fb_opt_1[FB_RATE1][wRate - RATE_18M], b_need_ack);
 
 		break;
 
@@ -402,11 +402,11 @@ static __le16 s_uGetRTSCTSDuration(struct vnt_private *p_device,
 		if ((byFBOption == AUTO_FB_0) && (wRate >= RATE_18M) && (wRate <= RATE_54M))
 			uDurTime = uCTSTime + 2 * p_device->uSIFS +
 				s_uGetTxRsvTime(p_device, by_pkt_type, cb_frame_length,
-						w_fb_opt_0[FB_RATE1][wRate - RATE_18M], bNeedAck);
+						w_fb_opt_0[FB_RATE1][wRate - RATE_18M], b_need_ack);
 		else if ((byFBOption == AUTO_FB_1) && (wRate >= RATE_18M) && (wRate <= RATE_54M))
 			uDurTime = uCTSTime + 2 * p_device->uSIFS +
 				s_uGetTxRsvTime(p_device, by_pkt_type, cb_frame_length,
-						w_fb_opt_1[FB_RATE1][wRate - RATE_18M], bNeedAck);
+						w_fb_opt_1[FB_RATE1][wRate - RATE_18M], b_need_ack);
 
 		break;
 
@@ -414,11 +414,11 @@ static __le16 s_uGetRTSCTSDuration(struct vnt_private *p_device,
 		if ((byFBOption == AUTO_FB_0) && (wRate >= RATE_18M) && (wRate <= RATE_54M))
 			uDurTime = p_device->uSIFS +
 				s_uGetTxRsvTime(p_device, by_pkt_type, cb_frame_length,
-						w_fb_opt_0[FB_RATE0][wRate - RATE_18M], bNeedAck);
+						w_fb_opt_0[FB_RATE0][wRate - RATE_18M], b_need_ack);
 		else if ((byFBOption == AUTO_FB_1) && (wRate >= RATE_18M) && (wRate <= RATE_54M))
 			uDurTime = p_device->uSIFS +
 				s_uGetTxRsvTime(p_device, by_pkt_type, cb_frame_length,
-						w_fb_opt_1[FB_RATE0][wRate - RATE_18M], bNeedAck);
+						w_fb_opt_1[FB_RATE0][wRate - RATE_18M], b_need_ack);
 
 		break;
 
@@ -426,11 +426,11 @@ static __le16 s_uGetRTSCTSDuration(struct vnt_private *p_device,
 		if ((byFBOption == AUTO_FB_0) && (wRate >= RATE_18M) && (wRate <= RATE_54M))
 			uDurTime = p_device->uSIFS +
 				s_uGetTxRsvTime(p_device, by_pkt_type, cb_frame_length,
-						w_fb_opt_0[FB_RATE1][wRate - RATE_18M], bNeedAck);
+						w_fb_opt_0[FB_RATE1][wRate - RATE_18M], b_need_ack);
 		else if ((byFBOption == AUTO_FB_1) && (wRate >= RATE_18M) && (wRate <= RATE_54M))
 			uDurTime = p_device->uSIFS +
 				s_uGetTxRsvTime(p_device, by_pkt_type, cb_frame_length,
-						w_fb_opt_1[FB_RATE1][wRate - RATE_18M], bNeedAck);
+						w_fb_opt_1[FB_RATE1][wRate - RATE_18M], b_need_ack);
 
 		break;
 
@@ -446,7 +446,7 @@ static __le16 s_uFillDataHead(struct vnt_private *p_device,
 			      void *pTxDataHead,
 			      unsigned int cb_frame_length,
 			      unsigned int uDMAIdx,
-			      bool bNeedAck,
+			      bool b_need_ack,
 			      unsigned int uFragIdx,
 			      unsigned int cbLastFragmentSize,
 			      unsigned int uMACfragNum,
@@ -484,7 +484,8 @@ static __le16 s_uFillDataHead(struct vnt_private *p_device,
 					cpu_to_le16((u16)s_uGetDataDuration(p_device, DATADUR_A,
 									    cb_frame_length,
 									    by_pkt_type,
-									    wCurrentRate, bNeedAck,
+									    wCurrentRate,
+									    b_need_ack,
 									    uFragIdx,
 									    cbLastFragmentSize,
 									    uMACfragNum,
@@ -494,7 +495,7 @@ static __le16 s_uFillDataHead(struct vnt_private *p_device,
 									    cb_frame_length,
 									    PK_TYPE_11B,
 									    p_device->byTopCCKBasicRate,
-									    bNeedAck, uFragIdx,
+									    b_need_ack, uFragIdx,
 									    cbLastFragmentSize,
 									    uMACfragNum,
 									    byFBOption));
@@ -517,26 +518,26 @@ static __le16 s_uFillDataHead(struct vnt_private *p_device,
 		/* Get Duration and TimeStamp */
 		buf->duration_a = cpu_to_le16((u16)s_uGetDataDuration(p_device, DATADUR_A,
 								      cb_frame_length, by_pkt_type,
-								      wCurrentRate, bNeedAck,
+								      wCurrentRate, b_need_ack,
 								      uFragIdx, cbLastFragmentSize,
 								      uMACfragNum, byFBOption));
 		buf->duration_b = cpu_to_le16((u16)s_uGetDataDuration(p_device, DATADUR_B,
 								      cb_frame_length, PK_TYPE_11B,
 								      p_device->byTopCCKBasicRate,
-								      bNeedAck, uFragIdx,
+								      b_need_ack, uFragIdx,
 								      cbLastFragmentSize,
 								      uMACfragNum, byFBOption));
 		buf->duration_a_f0 = cpu_to_le16((u16)s_uGetDataDuration(p_device, DATADUR_A_F0,
 									 cb_frame_length,
 									 by_pkt_type,
-									 wCurrentRate, bNeedAck,
+									 wCurrentRate, b_need_ack,
 									 uFragIdx,
 									 cbLastFragmentSize,
 									 uMACfragNum, byFBOption));
 		buf->duration_a_f1 = cpu_to_le16((u16)s_uGetDataDuration(p_device, DATADUR_A_F1,
 									 cb_frame_length,
 									 by_pkt_type,
-									 wCurrentRate, bNeedAck,
+									 wCurrentRate, b_need_ack,
 									 uFragIdx,
 									 cbLastFragmentSize,
 									 uMACfragNum, byFBOption));
@@ -560,19 +561,19 @@ static __le16 s_uFillDataHead(struct vnt_private *p_device,
 			buf->duration =
 				cpu_to_le16((u16)s_uGetDataDuration(p_device, DATADUR_A,
 								    cb_frame_length, by_pkt_type,
-								    wCurrentRate, bNeedAck,
+								    wCurrentRate, b_need_ack,
 								    uFragIdx, cbLastFragmentSize,
 								    uMACfragNum, byFBOption));
 			buf->duration_f0 =
 				cpu_to_le16((u16)s_uGetDataDuration(p_device, DATADUR_A_F0,
 								    cb_frame_length, by_pkt_type,
-								    wCurrentRate, bNeedAck,
+								    wCurrentRate, b_need_ack,
 								    uFragIdx, cbLastFragmentSize,
 								    uMACfragNum, byFBOption));
 			buf->duration_f1 =
 				cpu_to_le16((u16)s_uGetDataDuration(p_device, DATADUR_A_F1,
 								    cb_frame_length, by_pkt_type,
-								    wCurrentRate, bNeedAck,
+								    wCurrentRate, b_need_ack,
 								    uFragIdx, cbLastFragmentSize,
 								    uMACfragNum, byFBOption));
 			buf->time_stamp_off = vnt_time_stamp_off(p_device, wCurrentRate);
@@ -592,7 +593,7 @@ static __le16 s_uFillDataHead(struct vnt_private *p_device,
 			buf->duration =
 				cpu_to_le16((u16)s_uGetDataDuration(p_device, DATADUR_A,
 								    cb_frame_length, by_pkt_type,
-								    wCurrentRate, bNeedAck,
+								    wCurrentRate, b_need_ack,
 								    uFragIdx, cbLastFragmentSize,
 								    uMACfragNum, byFBOption));
 		}
@@ -613,7 +614,7 @@ static __le16 s_uFillDataHead(struct vnt_private *p_device,
 		/* Get Duration and TimeStampOff */
 		buf->duration =
 			cpu_to_le16((u16)s_uGetDataDuration(p_device, DATADUR_B, cb_frame_length,
-							    by_pkt_type, wCurrentRate, bNeedAck,
+							    by_pkt_type, wCurrentRate, b_need_ack,
 							    uFragIdx, cbLastFragmentSize,
 							    uMACfragNum, byFBOption));
 	}
@@ -626,7 +627,7 @@ static void s_v_fill_rts_head(struct vnt_private *p_device,
 			      unsigned char by_pkt_type,
 			      void *pv_rts,
 			      unsigned int cb_frame_length,
-			      bool bNeedAck,
+			      bool b_need_ack,
 			      bool bDisCRC,
 			      struct ieee80211_hdr *hdr,
 			      unsigned short wCurrentRate,
@@ -664,16 +665,16 @@ static void s_v_fill_rts_head(struct vnt_private *p_device,
 				s_uGetRTSCTSDuration(p_device, RTSDUR_BB,
 						     cb_frame_length, PK_TYPE_11B,
 						     p_device->byTopCCKBasicRate,
-						     bNeedAck, byFBOption);
+						     b_need_ack, byFBOption);
 			buf->duration_aa =
 				s_uGetRTSCTSDuration(p_device, RTSDUR_AA,
 						     cb_frame_length, by_pkt_type,
-						     wCurrentRate, bNeedAck,
+						     wCurrentRate, b_need_ack,
 						     byFBOption);
 			buf->duration_ba =
 				s_uGetRTSCTSDuration(p_device, RTSDUR_BA,
 						     cb_frame_length, by_pkt_type,
-						     wCurrentRate, bNeedAck,
+						     wCurrentRate, b_need_ack,
 						     byFBOption);
 
 			buf->data.duration = buf->duration_aa;
@@ -699,36 +700,36 @@ static void s_v_fill_rts_head(struct vnt_private *p_device,
 				s_uGetRTSCTSDuration(p_device, RTSDUR_BB,
 						     cb_frame_length, PK_TYPE_11B,
 						     p_device->byTopCCKBasicRate,
-						     bNeedAck, byFBOption);
+						     b_need_ack, byFBOption);
 			buf->duration_aa =
 				s_uGetRTSCTSDuration(p_device, RTSDUR_AA,
 						     cb_frame_length, by_pkt_type,
-						     wCurrentRate, bNeedAck,
+						     wCurrentRate, b_need_ack,
 						     byFBOption);
 			buf->duration_ba =
 				s_uGetRTSCTSDuration(p_device, RTSDUR_BA,
 						     cb_frame_length, by_pkt_type,
-						     wCurrentRate, bNeedAck,
+						     wCurrentRate, b_need_ack,
 						     byFBOption);
 			buf->rts_duration_ba_f0 =
 				s_uGetRTSCTSDuration(p_device, RTSDUR_BA_F0,
 						     cb_frame_length, by_pkt_type,
-						     wCurrentRate, bNeedAck,
+						     wCurrentRate, b_need_ack,
 						     byFBOption);
 			buf->rts_duration_aa_f0 =
 				s_uGetRTSCTSDuration(p_device, RTSDUR_AA_F0,
 						     cb_frame_length, by_pkt_type,
-						     wCurrentRate, bNeedAck,
+						     wCurrentRate, b_need_ack,
 						     byFBOption);
 			buf->rts_duration_ba_f1 =
 				s_uGetRTSCTSDuration(p_device, RTSDUR_BA_F1,
 						     cb_frame_length, by_pkt_type,
-						     wCurrentRate, bNeedAck,
+						     wCurrentRate, b_need_ack,
 						     byFBOption);
 			buf->rts_duration_aa_f1 =
 				s_uGetRTSCTSDuration(p_device, RTSDUR_AA_F1,
 						     cb_frame_length, by_pkt_type,
-						     wCurrentRate, bNeedAck,
+						     wCurrentRate, b_need_ack,
 						     byFBOption);
 			buf->data.duration = buf->duration_aa;
 			/* Get RTS Frame body */
@@ -750,7 +751,7 @@ static void s_v_fill_rts_head(struct vnt_private *p_device,
 			buf->duration =
 				s_uGetRTSCTSDuration(p_device, RTSDUR_AA,
 						     cb_frame_length, by_pkt_type,
-						     wCurrentRate, bNeedAck,
+						     wCurrentRate, b_need_ack,
 						     byFBOption);
 			buf->data.duration = buf->duration;
 			/* Get RTS Frame body */
@@ -770,17 +771,17 @@ static void s_v_fill_rts_head(struct vnt_private *p_device,
 			buf->duration =
 				s_uGetRTSCTSDuration(p_device, RTSDUR_AA,
 						     cb_frame_length, by_pkt_type,
-						     wCurrentRate, bNeedAck,
+						     wCurrentRate, b_need_ack,
 						     byFBOption);
 			buf->rts_duration_f0 =
 				s_uGetRTSCTSDuration(p_device, RTSDUR_AA_F0,
 						     cb_frame_length, by_pkt_type,
-						     wCurrentRate, bNeedAck,
+						     wCurrentRate, b_need_ack,
 						     byFBOption);
 			buf->rts_duration_f1 =
 				s_uGetRTSCTSDuration(p_device, RTSDUR_AA_F1,
 						     cb_frame_length, by_pkt_type,
-						     wCurrentRate, bNeedAck,
+						     wCurrentRate, b_need_ack,
 						     byFBOption);
 			buf->data.duration = buf->duration;
 			/* Get RTS Frame body */
@@ -800,7 +801,7 @@ static void s_v_fill_rts_head(struct vnt_private *p_device,
 		/* Get Duration */
 		buf->duration =
 			s_uGetRTSCTSDuration(p_device, RTSDUR_BB, cb_frame_length,
-					     by_pkt_type, wCurrentRate, bNeedAck,
+					     by_pkt_type, wCurrentRate, b_need_ack,
 					     byFBOption);
 
 		buf->data.duration = buf->duration;
@@ -818,7 +819,7 @@ static void s_vFillCTSHead(struct vnt_private *p_device,
 			   unsigned char by_pkt_type,
 			   void *pvCTS,
 			   unsigned int cb_frame_length,
-			   bool bNeedAck,
+			   bool b_need_ack,
 			   bool bDisCRC,
 			   unsigned short wCurrentRate,
 			   unsigned char byFBOption)
@@ -849,21 +850,21 @@ static void s_vFillCTSHead(struct vnt_private *p_device,
 			buf->duration_ba =
 				s_uGetRTSCTSDuration(p_device, CTSDUR_BA,
 						     cb_frame_length, by_pkt_type,
-						     wCurrentRate, bNeedAck,
+						     wCurrentRate, b_need_ack,
 						     byFBOption);
 
 			/* Get CTSDuration_ba_f0 */
 			buf->cts_duration_ba_f0 =
 				s_uGetRTSCTSDuration(p_device, CTSDUR_BA_F0,
 						     cb_frame_length, by_pkt_type,
-						     wCurrentRate, bNeedAck,
+						     wCurrentRate, b_need_ack,
 						     byFBOption);
 
 			/* Get CTSDuration_ba_f1 */
 			buf->cts_duration_ba_f1 =
 				s_uGetRTSCTSDuration(p_device, CTSDUR_BA_F1,
 						     cb_frame_length, by_pkt_type,
-						     wCurrentRate, bNeedAck,
+						     wCurrentRate, b_need_ack,
 						     byFBOption);
 
 			/* Get CTS Frame body */
@@ -892,7 +893,7 @@ static void s_vFillCTSHead(struct vnt_private *p_device,
 			buf->duration_ba =
 				s_uGetRTSCTSDuration(p_device, CTSDUR_BA,
 						     cb_frame_length, by_pkt_type,
-						     wCurrentRate, bNeedAck,
+						     wCurrentRate, b_need_ack,
 						     byFBOption);
 
 			/* Get CTS Frame body */