diff --git a/drivers/staging/vt6655/rxtx.c b/drivers/staging/vt6655/rxtx.c
index 1704b63da2cd..5729798973b4 100644
--- a/drivers/staging/vt6655/rxtx.c
+++ b/drivers/staging/vt6655/rxtx.c
@@ -103,14 +103,14 @@ static void s_vgenerate_tx_parameter(struct vnt_private *p_device,
 				     void *pv_cts,
 				     unsigned int	cb_frame_size,
 				     bool b_need_ack,
-				     unsigned int	uDMAIdx,
+				     unsigned int	u_dma_idx,
 				     void *psEthHeader,
 				     unsigned short wCurrentRate);
 
 static unsigned int s_cbFillTxBufHead(struct vnt_private *p_device,
 				      unsigned char by_pkt_type,
 				      unsigned char *pbyTxBufferAddr,
-				      unsigned int uDMAIdx,
+				      unsigned int u_dma_idx,
 				      struct vnt_tx_desc *pHeadTD,
 				      unsigned int uNodeIndex);
 
@@ -118,7 +118,7 @@ static __le16 s_uFillDataHead(struct vnt_private *p_device,
 			      unsigned char by_pkt_type,
 			      void *pTxDataHead,
 			      unsigned int cb_frame_length,
-			      unsigned int uDMAIdx,
+			      unsigned int u_dma_idx,
 			      bool b_need_ack,
 			      unsigned int uFragIdx,
 			      unsigned int cbLastFragmentSize,
@@ -446,7 +446,7 @@ static __le16 s_uFillDataHead(struct vnt_private *p_device,
 			      unsigned char by_pkt_type,
 			      void *pTxDataHead,
 			      unsigned int cb_frame_length,
-			      unsigned int uDMAIdx,
+			      unsigned int u_dma_idx,
 			      bool b_need_ack,
 			      unsigned int uFragIdx,
 			      unsigned int cbLastFragmentSize,
@@ -818,7 +818,7 @@ static void s_v_fill_rts_head(struct vnt_private *p_device,
 }
 
 static void s_vFillCTSHead(struct vnt_private *p_device,
-			   unsigned int uDMAIdx,
+			   unsigned int u_dma_idx,
 			   unsigned char by_pkt_type,
 			   void *pv_cts,
 			   unsigned int cb_frame_length,
@@ -841,8 +841,8 @@ static void s_vFillCTSHead(struct vnt_private *p_device,
 
 	if (by_pkt_type == PK_TYPE_11GB || by_pkt_type == PK_TYPE_11GA) {
 		if (by_fb_option != AUTO_FB_NONE &&
-		    uDMAIdx != TYPE_ATIMDMA &&
-		    uDMAIdx != TYPE_BEACONDMA) {
+		    u_dma_idx != TYPE_ATIMDMA &&
+		    u_dma_idx != TYPE_BEACONDMA) {
 			/* Auto Fall back */
 			struct vnt_cts_fb *buf = pv_cts;
 			/* Get SignalField, ServiceField & Length */
@@ -883,8 +883,8 @@ static void s_vFillCTSHead(struct vnt_private *p_device,
 					p_device->abyCurrentNetAddr);
 		} else {
 			/* if (by_fb_option != AUTO_FB_NONE &&
-			 * uDMAIdx != TYPE_ATIMDMA &&
-			 * uDMAIdx != TYPE_BEACONDMA)
+			 * u_dma_idx != TYPE_ATIMDMA &&
+			 * u_dma_idx != TYPE_BEACONDMA)
 			 */
 			struct vnt_cts *buf = pv_cts;
 			/* Get SignalField, ServiceField & Length */
@@ -945,7 +945,7 @@ static void s_vgenerate_tx_parameter(struct vnt_private *p_device,
 				     void *pv_cts,
 				     unsigned int cb_frame_size,
 				     bool b_need_ack,
-				     unsigned int uDMAIdx,
+				     unsigned int u_dma_idx,
 				     void *psEthHeader,
 				     unsigned short wCurrentRate)
 {
@@ -1001,7 +1001,7 @@ static void s_vgenerate_tx_parameter(struct vnt_private *p_device,
 							       cb_frame_size, wCurrentRate);
 
 			/* Fill CTS */
-			s_vFillCTSHead(p_device, uDMAIdx, by_pkt_type, pv_cts, cb_frame_size,
+			s_vFillCTSHead(p_device, u_dma_idx, by_pkt_type, pv_cts, cb_frame_size,
 				       b_need_ack, b_dis_crc, wCurrentRate, by_fb_option);
 		}
 	} else if (by_pkt_type == PK_TYPE_11A) {
@@ -1046,7 +1046,7 @@ static void s_vgenerate_tx_parameter(struct vnt_private *p_device,
 static unsigned int s_cbFillTxBufHead(struct vnt_private *p_device,
 				      unsigned char by_pkt_type,
 				      unsigned char *pbyTxBufferAddr,
-				      unsigned int uDMAIdx,
+				      unsigned int u_dma_idx,
 				      struct vnt_tx_desc *pHeadTD,
 				      unsigned int is_pspoll)
 {
@@ -1229,9 +1229,9 @@ static unsigned int s_cbFillTxBufHead(struct vnt_private *p_device,
 
 	/* Fill FIFO,RrvTime,RTS,and CTS */
 	s_vgenerate_tx_parameter(p_device, by_pkt_type, tx_buffer_head, pv_rrv_time, pv_rts, pv_cts,
-				 cb_frame_size, b_need_ack, uDMAIdx, hdr, p_device->wCurrentRate);
+				 cb_frame_size, b_need_ack, u_dma_idx, hdr, p_device->wCurrentRate);
 	/* Fill DataHead */
-	uDuration = s_uFillDataHead(p_device, by_pkt_type, pvTxDataHd, cb_frame_size, uDMAIdx,
+	uDuration = s_uFillDataHead(p_device, by_pkt_type, pvTxDataHd, cb_frame_size, u_dma_idx,
 				    b_need_ack, 0, 0, uMACfragNum, by_fb_option,
 				    p_device->wCurrentRate, is_pspoll);
 