diff --git a/drivers/staging/vt6655/rxtx.c b/drivers/staging/vt6655/rxtx.c
index 90e7330680d9..da75ae573a00 100644
--- a/drivers/staging/vt6655/rxtx.c
+++ b/drivers/staging/vt6655/rxtx.c
@@ -109,7 +109,7 @@ static void s_vgenerate_tx_parameter(struct vnt_private *p_device,
 
 static unsigned int s_cb_fill_tx_buf_head(struct vnt_private *p_device,
 					  unsigned char by_pkt_type,
-					  unsigned char *pbyTxBufferAddr,
+					  unsigned char *pby_tx_buffer_addr,
 					  unsigned int u_dma_idx,
 					  struct vnt_tx_desc *pHeadTD,
 					  unsigned int uNodeIndex);
@@ -1045,7 +1045,7 @@ static void s_vgenerate_tx_parameter(struct vnt_private *p_device,
 
 static unsigned int s_cb_fill_tx_buf_head(struct vnt_private *p_device,
 					  unsigned char by_pkt_type,
-					  unsigned char *pbyTxBufferAddr,
+					  unsigned char *pby_tx_buffer_addr,
 					  unsigned int u_dma_idx,
 					  struct vnt_tx_desc *pHeadTD,
 					  unsigned int is_pspoll)
@@ -1111,26 +1111,26 @@ static unsigned int s_cb_fill_tx_buf_head(struct vnt_private *p_device,
 
 		if (by_fb_option == AUTO_FB_NONE) {
 			if (bRTS) {/* RTS_need */
-				pv_rrv_time = (void *)(pbyTxBufferAddr + wTxBufSize);
-				pMICHDR = (struct vnt_mic_hdr *)(pbyTxBufferAddr + wTxBufSize +
+				pv_rrv_time = (void *)(pby_tx_buffer_addr + wTxBufSize);
+				pMICHDR = (struct vnt_mic_hdr *)(pby_tx_buffer_addr + wTxBufSize +
 								 sizeof(struct vnt_rrv_time_rts));
-				pv_rts = (void *)(pbyTxBufferAddr + wTxBufSize +
+				pv_rts = (void *)(pby_tx_buffer_addr + wTxBufSize +
 						 sizeof(struct vnt_rrv_time_rts) + cbMICHDR);
 				pv_cts = NULL;
-				pvTxDataHd = (void *)(pbyTxBufferAddr + wTxBufSize +
+				pvTxDataHd = (void *)(pby_tx_buffer_addr + wTxBufSize +
 						      sizeof(struct vnt_rrv_time_rts) +
 						      cbMICHDR + sizeof(struct vnt_rts_g));
 				cbHeaderLength = wTxBufSize + sizeof(struct vnt_rrv_time_rts) +
 							cbMICHDR + sizeof(struct vnt_rts_g) +
 							sizeof(struct vnt_tx_datahead_g);
 			} else { /* RTS_needless */
-				pv_rrv_time = (void *)(pbyTxBufferAddr + wTxBufSize);
-				pMICHDR = (struct vnt_mic_hdr *)(pbyTxBufferAddr + wTxBufSize +
+				pv_rrv_time = (void *)(pby_tx_buffer_addr + wTxBufSize);
+				pMICHDR = (struct vnt_mic_hdr *)(pby_tx_buffer_addr + wTxBufSize +
 								 sizeof(struct vnt_rrv_time_cts));
 				pv_rts = NULL;
-				pv_cts = (void *)(pbyTxBufferAddr + wTxBufSize +
+				pv_cts = (void *)(pby_tx_buffer_addr + wTxBufSize +
 						  sizeof(struct vnt_rrv_time_cts) + cbMICHDR);
-				pvTxDataHd = (void *)(pbyTxBufferAddr + wTxBufSize +
+				pvTxDataHd = (void *)(pby_tx_buffer_addr + wTxBufSize +
 						      sizeof(struct vnt_rrv_time_cts) + cbMICHDR +
 						      sizeof(struct vnt_cts));
 				cbHeaderLength = wTxBufSize + sizeof(struct vnt_rrv_time_cts) +
@@ -1140,26 +1140,26 @@ static unsigned int s_cb_fill_tx_buf_head(struct vnt_private *p_device,
 		} else {
 			/* Auto Fall Back */
 			if (bRTS) {/* RTS_need */
-				pv_rrv_time = (void *)(pbyTxBufferAddr + wTxBufSize);
-				pMICHDR = (struct vnt_mic_hdr *)(pbyTxBufferAddr + wTxBufSize +
+				pv_rrv_time = (void *)(pby_tx_buffer_addr + wTxBufSize);
+				pMICHDR = (struct vnt_mic_hdr *)(pby_tx_buffer_addr + wTxBufSize +
 								 sizeof(struct vnt_rrv_time_rts));
-				pv_rts = (void *)(pbyTxBufferAddr + wTxBufSize +
+				pv_rts = (void *)(pby_tx_buffer_addr + wTxBufSize +
 						 sizeof(struct vnt_rrv_time_rts) + cbMICHDR);
 				pv_cts = NULL;
-				pvTxDataHd = (void *)(pbyTxBufferAddr + wTxBufSize +
+				pvTxDataHd = (void *)(pby_tx_buffer_addr + wTxBufSize +
 						      sizeof(struct vnt_rrv_time_rts) +
 					cbMICHDR + sizeof(struct vnt_rts_g_fb));
 				cbHeaderLength = wTxBufSize + sizeof(struct vnt_rrv_time_rts) +
 					cbMICHDR + sizeof(struct vnt_rts_g_fb) +
 					sizeof(struct vnt_tx_datahead_g_fb);
 			} else { /* RTS_needless */
-				pv_rrv_time = (void *)(pbyTxBufferAddr + wTxBufSize);
-				pMICHDR = (struct vnt_mic_hdr *)(pbyTxBufferAddr + wTxBufSize +
+				pv_rrv_time = (void *)(pby_tx_buffer_addr + wTxBufSize);
+				pMICHDR = (struct vnt_mic_hdr *)(pby_tx_buffer_addr + wTxBufSize +
 								 sizeof(struct vnt_rrv_time_cts));
 				pv_rts = NULL;
-				pv_cts = (void *)(pbyTxBufferAddr + wTxBufSize +
+				pv_cts = (void *)(pby_tx_buffer_addr + wTxBufSize +
 						 sizeof(struct vnt_rrv_time_cts) + cbMICHDR);
-				pvTxDataHd = (void  *)(pbyTxBufferAddr + wTxBufSize +
+				pvTxDataHd = (void  *)(pby_tx_buffer_addr + wTxBufSize +
 						       sizeof(struct vnt_rrv_time_cts) +
 					cbMICHDR + sizeof(struct vnt_cts_fb));
 				cbHeaderLength = wTxBufSize + sizeof(struct vnt_rrv_time_cts) +
@@ -1171,25 +1171,25 @@ static unsigned int s_cb_fill_tx_buf_head(struct vnt_private *p_device,
 
 		if (by_fb_option == AUTO_FB_NONE) {
 			if (bRTS) {
-				pv_rrv_time = (void *)(pbyTxBufferAddr + wTxBufSize);
-				pMICHDR = (struct vnt_mic_hdr *)(pbyTxBufferAddr + wTxBufSize +
+				pv_rrv_time = (void *)(pby_tx_buffer_addr + wTxBufSize);
+				pMICHDR = (struct vnt_mic_hdr *)(pby_tx_buffer_addr + wTxBufSize +
 								 sizeof(struct vnt_rrv_time_ab));
-				pv_rts = (void *)(pbyTxBufferAddr + wTxBufSize +
+				pv_rts = (void *)(pby_tx_buffer_addr + wTxBufSize +
 						 sizeof(struct vnt_rrv_time_ab) + cbMICHDR);
 				pv_cts = NULL;
-				pvTxDataHd = (void *)(pbyTxBufferAddr + wTxBufSize +
+				pvTxDataHd = (void *)(pby_tx_buffer_addr + wTxBufSize +
 						      sizeof(struct vnt_rrv_time_ab) + cbMICHDR +
 						      sizeof(struct vnt_rts_ab));
 				cbHeaderLength = wTxBufSize + sizeof(struct vnt_rrv_time_ab) +
 					cbMICHDR + sizeof(struct vnt_rts_ab) +
 					sizeof(struct vnt_tx_datahead_ab);
 			} else { /* RTS_needless, need MICHDR */
-				pv_rrv_time = (void *)(pbyTxBufferAddr + wTxBufSize);
-				pMICHDR = (struct vnt_mic_hdr *)(pbyTxBufferAddr + wTxBufSize +
+				pv_rrv_time = (void *)(pby_tx_buffer_addr + wTxBufSize);
+				pMICHDR = (struct vnt_mic_hdr *)(pby_tx_buffer_addr + wTxBufSize +
 								 sizeof(struct vnt_rrv_time_ab));
 				pv_rts = NULL;
 				pv_cts = NULL;
-				pvTxDataHd = (void *)(pbyTxBufferAddr + wTxBufSize +
+				pvTxDataHd = (void *)(pby_tx_buffer_addr + wTxBufSize +
 						      sizeof(struct vnt_rrv_time_ab) + cbMICHDR);
 				cbHeaderLength = wTxBufSize + sizeof(struct vnt_rrv_time_ab) +
 					cbMICHDR + sizeof(struct vnt_tx_datahead_ab);
@@ -1197,25 +1197,25 @@ static unsigned int s_cb_fill_tx_buf_head(struct vnt_private *p_device,
 		} else {
 			/* Auto Fall Back */
 			if (bRTS) { /* RTS_need */
-				pv_rrv_time = (void *)(pbyTxBufferAddr + wTxBufSize);
-				pMICHDR = (struct vnt_mic_hdr *)(pbyTxBufferAddr + wTxBufSize +
+				pv_rrv_time = (void *)(pby_tx_buffer_addr + wTxBufSize);
+				pMICHDR = (struct vnt_mic_hdr *)(pby_tx_buffer_addr + wTxBufSize +
 								 sizeof(struct vnt_rrv_time_ab));
-				pv_rts = (void *)(pbyTxBufferAddr + wTxBufSize +
+				pv_rts = (void *)(pby_tx_buffer_addr + wTxBufSize +
 						 sizeof(struct vnt_rrv_time_ab) + cbMICHDR);
 				pv_cts = NULL;
-				pvTxDataHd = (void *)(pbyTxBufferAddr + wTxBufSize +
+				pvTxDataHd = (void *)(pby_tx_buffer_addr + wTxBufSize +
 						      sizeof(struct vnt_rrv_time_ab) + cbMICHDR +
 						      sizeof(struct vnt_rts_a_fb));
 				cbHeaderLength = wTxBufSize + sizeof(struct vnt_rrv_time_ab) +
 					cbMICHDR + sizeof(struct vnt_rts_a_fb) +
 					sizeof(struct vnt_tx_datahead_a_fb);
 			} else { /* RTS_needless */
-				pv_rrv_time = (void *)(pbyTxBufferAddr + wTxBufSize);
-				pMICHDR = (struct vnt_mic_hdr *)(pbyTxBufferAddr + wTxBufSize +
+				pv_rrv_time = (void *)(pby_tx_buffer_addr + wTxBufSize);
+				pMICHDR = (struct vnt_mic_hdr *)(pby_tx_buffer_addr + wTxBufSize +
 								 sizeof(struct vnt_rrv_time_ab));
 				pv_rts = NULL;
 				pv_cts = NULL;
-				pvTxDataHd = (void *)(pbyTxBufferAddr + wTxBufSize +
+				pvTxDataHd = (void *)(pby_tx_buffer_addr + wTxBufSize +
 						      sizeof(struct vnt_rrv_time_ab) + cbMICHDR);
 				cbHeaderLength = wTxBufSize + sizeof(struct vnt_rrv_time_ab) +
 					cbMICHDR + sizeof(struct vnt_tx_datahead_a_fb);
@@ -1225,7 +1225,7 @@ static unsigned int s_cb_fill_tx_buf_head(struct vnt_private *p_device,
 
 	td_info->mic_hdr = pMICHDR;
 
-	memset((void *)(pbyTxBufferAddr + wTxBufSize), 0, (cbHeaderLength - wTxBufSize));
+	memset((void *)(pby_tx_buffer_addr + wTxBufSize), 0, (cbHeaderLength - wTxBufSize));
 
 	/* Fill FIFO,RrvTime,RTS,and CTS */
 	s_vgenerate_tx_parameter(p_device, by_pkt_type, tx_buffer_head, pv_rrv_time, pv_rts, pv_cts,